> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywire.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke an API key

> The key stops working immediately.



## OpenAPI

````yaml DELETE /payments/merchants/me/api-keys/{keyId}
openapi: 3.1.0
info:
  title: Paywire API
  version: 1.0.0
  description: >-
    Accept crypto payments: create payment links, follow orders, receive signed
    webhooks.
servers:
  - url: https://api.staging.paywire.xyz
    description: Staging (testnets)
security:
  - apiKey: []
tags:
  - name: Payment links
  - name: Orders
  - name: Account
  - name: Webhooks
paths:
  /payments/merchants/me/api-keys/{keyId}:
    delete:
      tags:
        - Account
      summary: Revoke an API key
      description: The key stops working immediately.
      operationId: revokeApiKey
      parameters:
        - name: keyId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '204':
          description: Revoked.
        '404':
          description: No such key.
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/Problem'
              example:
                title: Merchant.KeyNotFound
                status: 404
                detail: No API key with this id for this merchant.
components:
  schemas:
    Problem:
      type: object
      description: RFC 7807 problem details. `title` is a stable error code.
      properties:
        type:
          type: string
        title:
          type: string
          example: PaymentLink.NotFound
        status:
          type: integer
        detail:
          type: string
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: Your gateway's API key (`w3g_...`).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.